Bug 465134 - Fedora 10 Beta X64 Live-CD --> Crashes starting X on Intel G45 chipset mobo integrated graphics
Fedora 10 Beta X64 Live-CD --> Crashes starting X on Intel G45 chipset mobo i...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 14:51 EDT by Kevin R. Porter
Modified: 2018-04-11 08:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-08 18:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Porter 2008-10-01 14:51:19 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.2) Gecko/2008092318 Fedora/3.0.2-1.fc9 Firefox/3.0.2

Fedora 10 Beta X64 Live-CD boots kernel, momentarily displays a character-cell login prompt, (just prior to starting X-server) then screen goes black and system locks up hard, (no keyboard response at all) - this on an ASUS P5Q-EM mobo with Intel G45/ICH10R chipset, using the integrated G45 graphics adaptor.  (possible Intel X driver issue?)   Since this is a Live-CD crashing in the boot sequence, I can't get in to capture much.   Note: Ubuntu "Intrepid" Alpha-6 X64 live-cd boots perfectly all the way to Gnome desktop on this same hardware.


Reproducible: Always

Steps to Reproduce:
1. Insert Fedora 10 Beta X64 Live-CD in Intel G45 based system...
2. Boot 
3. wait about a minute watching screen carefully...
Actual Results:  
momentary flash of character-cell login prompt (just prior to X-server startup), then screen goes black and system locks up hard, no keyboard or mouse response, CTRL-ALT-DEL does NOT work, (reset required)


Expected Results:  
Boot up into X/Gnome login and desktop.


Ubuntu "Intrepid" Alpha-6 X64 live-cd boots perfectly all the way to Gnome desktop on this same hardware (ASUS P5Q-EM motherboard with Core-2-Duo E8600 processor, 8GB RAM etc.)   Suspect this is an X-server/Intel X graphics driver issue, but since this is a Live-CD, and I can't get to an interactive state, can't capture much.
Comment 1 Matěj Cepl 2008-10-02 10:44:34 EDT
Get the newest xorg-x11-drv-i810 from http://koji.fedoraproject.org/koji/buildinfo?buildID=64880 and retry. We had a bad build in the Beta repository. Does it help?
Comment 2 kivar 2008-10-03 23:49:32 EDT
The same thing is happening with the 386 live cd also with an G45 motherboard.
Suspect it's  pretty much the same problem.
Comment 3 Kevin R. Porter 2008-10-06 12:11:37 EDT
Excuse me Matej, but when running a LIVE-CD that crashes before ever allowing any interactive access to the system... installing ANYTHING from the network is a pain in the ass to put it mildly!

Hitting "I" for interactive startup is ignored, the LIVE-CD continues to starting "X" and crashes anyway without ever letting me access a shell.

Editing the boot commnd and adding "single" finally let me burgle my way into a shell, edited "inittab" and set it to default to runlevel 3 so it wouldn't try to start "X" and let the startup proceed... got to a character-cell login ok.   Attempting to start "X" from there is still instantly fatal to the system (total lockup) however.

Tried downloading a copy of the driver you suggested (via sneakernet on a USB stick from another machine) - go to install it on the LIVE-CD system and RPM says its missing dependencies - apparently the LIVE-CD doesn't have other stuff it needs to install the xorg-x11-drv-i810-2.4.2-9.fc10.X86_64.rpm

Basically this LIVE-CD is a dead duck on this hardware... can get to character-cell login, but without working "X" its not useful.    And can't capture Xorg log either cuz if I try starting "X", the system is then totally dead until a reboot - and the log in ramdisk goes away for the next reboot.

Until the Live-CD gets a respin with working drivers, I guess I am stuck.
Comment 4 Matěj Cepl 2008-10-08 18:52:24 EDT
OK, I am afraid there is not much we can do about this.  Closing as INSUFFICIENT_DATA. I don't want to say that this is your fault (because it isn't), just there doesn't seem to be much we can do. I am really sorry for that.
Comment 5 kivar 2008-10-10 14:01:21 EDT
The problem *DOES* seem to be the default intel driver that ships with the live
cd. I've  got an Dell 4550 with a nivida card and a toshiba laptop with an intel
965 and the live cd works fine with while the Fedoraboth. The problem crops up on my system which has an intel 845 graphics chip.

The Fedora 8 live cd had no problems with this hardware, while the Fedora 9  live cd had display problems, but didn't crash and lock up the machine like the Fedora 10 live cd does.

Note You need to log in before you can comment on or make changes to this bug.